.block-search-inner + .b-main-text,
.block-search-wrap + .b-main-text,
#rooms-block-test + .b-main-text {
  margin-top: 40px;
}

.b-main-text {
  margin-top: 60px;
  margin-bottom: 60px;
  font-family: Roboto;
}
@media all and (max-width: 768px) {
  .b-main-text {
    margin-top: 30px;
    margin-bottom: 30px;
  }
}
.b-main-text .layout {
  max-width: 1400px;
  padding: 0;
  margin: 0 auto;
}
@media screen and (max-width: 1368px) {
  .b-main-text .layout {
    max-width: 100%;
    padding-left: -moz-calc(8% - 30px);
    padding-left: calc(8% - 30px);
    padding-right: -moz-calc(8% - 30px);
    padding-right: calc(8% - 30px);
  }
}
@media screen and (max-width: 920px) {
  .b-main-text .layout {
    padding-left: 50px;
    padding-right: 50px;
  }
}
@media screen and (max-width: 460px) {
  .b-main-text .layout {
    padding-left: 16px;
    padding-right: 16px;
  }
}
.b-main-text__container {
  width: 100%;
  position: relative;
  background: #353535;
}
.b-main-text__box {
  width: 40%;
  min-width: 636px;
  padding: 30px;
  color: white;
  position: relative;
  z-index: 15;
}
.b-main-text__box > *:first-child {
  font-family: "Source Serif Pro";
  text-transform: uppercase;
  font-size: 36px;
  font-weight: normal;
  line-height: 1.2;
  margin-bottom: 24px;
  margin-top: 0;
}
.b-main-text__box > *:last-child {
  padding-left: 0;
  margin-bottom: 0;
}
.b-main-text__picture {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 10;
}
.b-main-text__picture::before {
  content: "";
  position: absolute;
  width: 101%;
  height: 101%;
  background: -webkit-gradient(linear, left top, right top, from(#353535), color-stop(55.54%, rgba(102, 102, 102, 0)));
  background: -moz-linear-gradient(left, #353535 0%, rgba(102, 102, 102, 0) 55.54%);
  background: linear-gradient(90deg, #353535 0%, rgba(102, 102, 102, 0) 55.54%);
  z-index: 10;
}
.b-main-text__picture img {
  display: block;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: 50% 50%;
  object-position: 50% 50%;
  position: relative;
  z-index: 5;
}
@media screen and (max-width: 1024px) {
  .b-main-text__box {
    width: 100%;
    min-width: 0;
  }
  .b-main-text__picture {
    position: relative;
    aspect-ratio: 1400/280;
    width: auto;
    height: auto;
  }
  .b-main-text__picture::before {
    background: -webkit-gradient(linear, left top, left bottom, from(#353535), color-stop(33.18%, rgba(102, 102, 102, 0)));
    background: -moz-linear-gradient(top, #353535 0%, rgba(102, 102, 102, 0) 33.18%);
    background: linear-gradient(180deg, #353535 0%, rgba(102, 102, 102, 0) 33.18%);
  }
}
@media screen and (max-width: 768px) {
  .b-main-text__box {
    padding: 16px;
  }
  .b-main-text__box > *:first-child {
    font-size: 32px;
  }
  .b-main-text__picture {
    aspect-ratio: 336/267;
  }
}